#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#   Copyright 2021 Gabriele Orlando
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.


TPLatom_hash={
	
'CYS':  {
		"N":13,
		"O":15,
		"C":14,
		"SG":1,
		"CB":11,
		"CA":12,
		
		},
 'ASP': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"OD":8,
		"OD1":8,
		"OD2":8,
		"CG":9,
		"CB":11
},
 'SER': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"OG":7,
		"CB":11,

		
},
 'GLN': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"NE2":2,
		"OE1":6,
		"CD":9,
		"CB":11,
		"CD":11,
		"CG":11,
		
		
		
		
		
},
 'LYS': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"NZ":5,
		"CB":11,
		"CG":11,
		"CD":11,
		"CE":11,
},
 'ASN': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"ND2":2,
		"OD1":6,
		"CG":9,
		"CB":11,
		
		
},
 'PRO': {
		"N":16,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
		"CG":11,
		"CD":11,
		
},
 'THR': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"OG1":7,
		"CB":11,
		"CG2":11,
		
		
},
 'PHE': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CG":10,
		"CD1":10,
		"CD2":10,
		"CE2":10,
		"CE1":10,
		"CZ":10,
		"CB":11,
},
 'ALA': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
},
 'HIS': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"ND1":3,
		"ND2":3,
		"NE1":3,
		"NE2":3,
		"CG":10,
		"CD2":10,
		"CE1":10,
		"CB":11,
		
},
 'GLY': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
},
 'ILE': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
		"CG2":11,
		"CG1":11,
		"CD1":11
},
 'LEU': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
		"CG":11,
		"CD1":11,
		"CD2":11,
		"CD3":11,
},
 'ARG': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
		"CD":11,
		"CG":11,
		"NE":4,
		"NH1":4,
		"NH2":4,
		"NH3":4,
		"CZ":9,
		
},
 'TRP': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"NE1":3,
		"CG":10,
		"CD1":10,
		"CD2":10,
		"CE1":10,
		"CE2":10,
		"CE3":10,
		"CZ1":10,
		"CZ2":10,
		"CZ3":11,
		"CH2":10,
		"CB":11,
		
},
 'VAL': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"CB":11,
		"CG1":11,
		"CG2":11,
		"CG3":11,
},
 'GLU': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"OE1":8,
		"OE2":8,
		"CD":9,
		"CB":11,
		"CG":11,
		
		
},
 'TYR': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"OH":7,
		"CG":10,
		"CD1":10,
		"CD2":10,
		"CE1":10,
		"CE2":10,
		"CZ":10,
		"CB":11,
		
},
 'MET': {
		"N":13,
		"O":15,
		"C":14,
		"CA":12,
		"SD":1,
		"CB":11,
		"CG":11,
		"CE":11,
},
	"DT":{
		"P": 17,
		"OP1":18,
		"OP2":19,
		"O5'":20,
		"C5'":22,
		"C4'":22,
		"C3'":22,
		"C2'":22,
		"C1'":22,
		"O4'":20,
		"O3'":23,
		"O2":24,
		"N3":25,
		"N1":25,
		"C2":26,
		"C4":26,
		"O4":24,
		"C5":26,
		"C7":22,
		"C6":26
	},
	"DG":{
		"P": 17,
		"N7":25,
		"N9":25,
		"OP1":18,
		"OP2":19,
		"O5'":20,
		"C5'":22,
		"C4'":22,
		"C3'":22,
		"C2'":22,
		"C1'":22,
		"O4'":20,
		"O3'":23,
		"O2":24,
		"O6":24,
		"N3":25,
		"N1":25,
		"N2":25,
		"N9":25,
		"C2":26,
		"C4":26,
		"O4":24,
		"C5":26,
		"C7":22,
		"C8":26,
		"C6":26},
	"DA":{		"P": 17,
		"OP1":18,
		"OP2":19,
		"O5'":20,
		"N6":25,
		"C5'":22,
		"C4'":22,
		"C3'":22,
		"C2'":22,
		"C1'":22,
		"O4'":20,
		"O3'":23,
		"O2":24,
		"N3":25,
		"N1":25,
		"N7":25,
		"N9":25,
		"C2":26,
		"C4":26,
		"O4":24,
		"C5":26,
		"C7":22,
		"C6":26,
		"C8":26,},
	"DC":{		"P": 17,
		"OP1":18,
		"OP2":19,
		"O5'":20,
		"C5'":22,
		"C4'":22,
		"C3'":22,
		"C2'":22,
		"C1'":22,
		"O4'":20,
		"O3'":23,
		"O2":24,
		"N3":25,
		"N1":25,
		"N4":25,
		"C2":26,
		"C4":26,
		"O4":24,
		"C5":26,
		"C7":22,
		"C6":26},
	"HET": {"HET":17}
}

contracted_hashing = {'CYS': {'N': 1, 'O': 2, 'C': 0, 'SG': 3, 'CB': 0, 'CA': 0}, 'ASP': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'OD': 2, 'OD1': 2, 'OD2': 2, 'CG': 0, 'CB': 0}, 'SER': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'OG': 2, 'CB': 0}, 'GLN': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'NE2': 1, 'OE1': 2, 'CD': 0, 'CB': 0, 'CG': 0}, 'LYS': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'NZ': 1, 'CB': 0, 'CG': 0, 'CD': 0, 'CE': 0}, 'ASN': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'ND2': 1, 'OD1': 2, 'CG': 0, 'CB': 0}, 'PRO': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0, 'CG': 0, 'CD': 0}, 'THR': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'OG1': 2, 'CB': 0, 'CG2': 0}, 'PHE': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CG': 0, 'CD1': 0, 'CD2': 0, 'CE2': 0, 'CE1': 0, 'CZ': 0, 'CB': 0}, 'ALA': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0}, 'HIS': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'ND1': 1, 'ND2': 1, 'NE1': 1, 'NE2': 1, 'CG': 0, 'CD2': 0, 'CE1': 0, 'CB': 0}, 'GLY': {'N': 1, 'O': 2, 'C': 0, 'CA': 0}, 'ILE': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0, 'CG2': 0, 'CG1': 0, 'CD1': 0}, 'LEU': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0, 'CG': 0, 'CD1': 0, 'CD2': 0, 'CD3': 0}, 'ARG': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0, 'CD': 0, 'CG': 0, 'NE': 1, 'NH1': 1, 'NH2': 1, 'NH3': 1, 'CZ': 0}, 'TRP': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'NE1': 1, 'CG': 0, 'CD1': 0, 'CD2': 0, 'CE1': 0, 'CE2': 0, 'CE3': 0, 'CZ1': 0, 'CZ2': 0, 'CZ3': 0, 'CH2': 0, 'CB': 0}, 'VAL': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'CB': 0, 'CG1': 0, 'CG2': 0, 'CG3': 0}, 'GLU': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'OE1': 2, 'OE2': 2, 'CD': 0, 'CB': 0, 'CG': 0}, 'TYR': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'OH': 2, 'CG': 0, 'CD1': 0, 'CD2': 0, 'CE1': 0, 'CE2': 0, 'CZ': 0, 'CB': 0}, 'MET': {'N': 1, 'O': 2, 'C': 0, 'CA': 0, 'SD': 3, 'CB': 0, 'CG': 0, 'CE': 0}, 'DT': {'P': 3, 'OP1': 2, 'OP2': 2, "O5'": 2, "C5'": 0, "C4'": 0, "C3'": 0, "C2'": 0, "C1'": 0, "O4'": 2, "O3'": 2, 'O2': 2, 'N3': 1, 'N1': 1, 'C2': 0, 'C4': 0, 'O4': 2, 'C5': 0, 'C7': 0, 'C6': 0}, 'DG': {'P': 3, 'N7': 1, 'N9': 1, 'OP1': 2, 'OP2': 2, "O5'": 2, "C5'": 0, "C4'": 0, "C3'": 0, "C2'": 0, "C1'": 0, "O4'": 2, "O3'": 2, 'O2': 2, 'O6': 2, 'N3': 1, 'N1': 1, 'N2': 1, 'C2': 0, 'C4': 0, 'O4': 2, 'C5': 0, 'C7': 0, 'C8': 0, 'C6': 0}, 'DA': {'P': 3, 'OP1': 2, 'OP2': 2, "O5'": 2, 'N6': 1, "C5'": 0, "C4'": 0, "C3'": 0, "C2'": 0, "C1'": 0, "O4'": 2, "O3'": 2, 'O2': 2, 'N3': 1, 'N1': 1, 'N7': 1, 'N9': 1, 'C2': 0, 'C4': 0, 'O4': 2, 'C5': 0, 'C7': 0, 'C6': 0, 'C8': 0}, 'DC': {'P': 3, 'OP1': 2, 'OP2': 2, "O5'": 2, "C5'": 0, "C4'": 0, "C3'": 0, "C2'": 0, "C1'": 0, "O4'": 2, "O3'": 2, 'O2': 2, 'N3': 1, 'N1': 1, 'N4': 1, 'C2': 0, 'C4': 0, 'O4': 2, 'C5': 0, 'C7': 0, 'C6': 0}, 'HET': {}}
elements_hash = {"C":0,"O":1,"N":2,"P":3,"S":4,"H":5}

radius= {
	"ALA" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.75},
	"ARG" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.7, 'NE': 1.45, 'CZ': 1.55, 'NH1': 1.45, 'NH2': 1.45},
	"ASN" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.55, 'OD1': 1.37, 'ND2': 1.45},
	"ASP" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.55, 'OD1': 1.37, 'OD2': 1.37},
	"CYS" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'SG': 1.7},
	"GLN" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.55, 'OE1': 1.37, 'NE2': 1.45},
	"GLU" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.55, 'OE1': 1.37, 'OE2': 1.37},
	"GLY" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37},
	"HIS" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'ND1': 1.45, 'CD2': 1.7, 'CE1': 1.7, 'NE2': 1.45},
	"ILE" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG1': 1.7, 'CG2': 1.75, 'CD1': 1.75},
	"LEU" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD1': 1.75, 'CD2': 1.75},
	"LYS" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.7, 'CE': 1.7, 'NZ': 1.45},
	"MET" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'SD': 1.7, 'CE': 1.75},
	"PHE" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD1': 1.7, 'CD2': 1.7, 'CE1': 1.7, 'CE2': 1.7, 'CZ': 1.7},
	"PRO" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.7},
	"HYP" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD': 1.7, 'OD1': 1.37},
	"SER" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'OG': 1.37},
	"THR" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'OG1': 1.37, 'CG2': 1.75},
	"TRP" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD1': 1.7, 'CD2': 1.7, 'NE1': 1.45, 'CE2': 1.7, 'CE3': 1.7, 'CZ2': 1.7, 'CZ3': 1.7, 'CH2': 1.7},
	"TYR" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.7, 'CD1': 1.7, 'CD2': 1.7, 'CE1': 1.7, 'CE2': 1.7, 'CZ': 1.7, 'OH': 1.37},
	"VAL" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG1': 1.75, 'CG2': 1.75},
	"SEP" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'OG': 1.37, 'P': 1.49, 'O1P': 1.37, 'O2P': 1.37, 'O3P': 1.37},
	"TPO" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'OG1': 1.37, 'CG2': 1.75, 'P': 1.49, 'O1P': 1.37, 'O2P': 1.37, 'O3P': 1.37},
	"PTR" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.42, 'CD1': 1.7, 'CD2': 1.7, 'CE1': 1.7, 'CE2': 1.7, 'CZ': 1.7, 'OH': 1.37, 'P': 1.49, 'O1P': 1.37, 'O2P': 1.37, 'O3P': 1.37},
	"TYS" : {'N': 1.45, 'CA': 1.7, 'C': 1.55, 'O': 1.37, 'CB': 1.7, 'CG': 1.42, 'CD1': 1.7, 'CD2': 1.7, 'CE1': 1.7, 'CE2': 1.7, 'CZ': 1.7, 'OH': 1.37, 'S': 1.7, 'O1': 1.37, 'O2': 1.37, 'O3': 1.37},
	"DA" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N9': 1.45, 'C4': 1.62, 'N3': 1.45, 'C2': 1.62, 'N1': 1.45, 'C6': 1.62, 'N6': 1.45, 'C5': 1.62, 'N7': 1.45, 'C8': 1.7},
	"DG" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N9': 1.45, 'C4': 1.62, 'N3': 1.45, 'C2': 1.62, 'N1': 1.45, 'N2': 1.45, 'C6': 1.62, 'O6': 1.37, 'C5': 1.62, 'N7': 1.45, 'C8': 1.7},
	"DC" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N1': 1.45, 'C2': 1.62, 'O2': 1.37, 'N3': 1.45, 'C4': 1.62, 'N4': 1.45, 'C5': 1.7, 'C6': 1.7},
	"DT" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37,'C7': 1.7, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N1': 1.45, 'C2': 1.62, 'O2': 1.37, 'N3': 1.45, 'C4': 1.62, 'O4': 1.37, 'C5': 1.62, 'C5M': 1.75, 'C6': 1.7},
	"6MA" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N9': 1.45, 'C4': 1.62, 'N3': 1.45, 'C2': 1.62, 'N1': 1.45, 'C6': 1.62, 'N6': 1.45, 'C5': 1.62, 'N7': 1.45, 'C1': 1.75, 'C8': 1.7},
	"5CM" : {'P': 1.49, 'OP1': 1.37, 'OP2': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'C1\'': 1.62, 'N1': 1.45, 'C2': 1.62, 'O2': 1.37, 'N3': 1.45, 'C4': 1.62, 'N4': 1.45, 'C5': 1.7, 'C6': 1.7, 'C5A': 1.75},
	"ATP" : {'P': 1.49, 'O1G': 1.37, 'O2G': 1.37, 'O3G': 1.37, 'PB': 1.49, 'O1B': 1.37, 'O2B': 1.37, 'O3B': 1.37, 'PA': 1.49, 'O1A': 1.37, 'O2A': 1.37, 'O3A': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'O2\'': 1.3, 'C1\'': 1.62, 'N9': 1.45, 'C4': 1.62, 'N3': 1.45, 'C2': 1.62, 'N1': 1.45, 'C6': 1.62, 'N6': 1.45, 'C5': 1.62, 'N7': 1.45, 'C8': 1.7},
	"ADP" : {'PB': 1.49, 'O1B': 1.37, 'O2B': 1.37, 'O3B': 1.37, 'PA': 1.49, 'O1A': 1.37, 'O2A': 1.37, 'O3A': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'O2\'': 1.3, 'C1\'': 1.62, 'N9': 1.45, 'C4': 1.62, 'N3': 1.45, 'C2': 1.62, 'N1': 1.45, 'C6': 1.62, 'N6': 1.45, 'C5': 1.62, 'N7': 1.45, 'C8': 1.7},
	"GTP" : {'PG': 1.49, 'O1G': 1.37, 'O2G': 1.37, 'O3G': 1.37, 'PB': 1.49, 'O1B': 1.37, 'O2B': 1.37, 'O3B': 1.37, 'PA': 1.49, 'O1A': 1.37, 'O2A': 1.37, 'O3A': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.42, 'O2\'': 1.3, 'C1\'': 1.62, 'N9': 1.45, 'C8': 1.7, 'N7': 1.45, 'C5': 1.62, 'C6': 1.62, 'O6': 1.37, 'N1': 1.45, 'C2': 1.62, 'N2': 1.45, 'N3': 1.45, 'C4': 1.62},
	"GDP" : {'PB': 1.49, 'O1B': 1.37, 'O2B': 1.37, 'O3B': 1.37, 'PA': 1.49, 'O1A': 1.37, 'O2A': 1.37, 'O3A': 1.37, 'O5\'': 1.3, 'C5\'': 1.62, 'C4\'': 1.62, 'O4\'': 1.3, 'C3\'': 1.62, 'O3\'': 1.3, 'C2\'': 1.62, 'O2\'': 1.3, 'C1\'': 1.62, 'N9': 1.45, 'C8': 1.7, 'N7': 1.45, 'C5': 1.62, 'C6': 1.62, 'O6': 1.37, 'N1': 1.45, 'C2': 1.62, 'N2': 1.45, 'N3': 1.45, 'C4': 1.62},
	"RET" : {'C1': 1.7, 'C2': 1.7, 'C3': 1.7, 'C4': 1.7, 'C5': 1.7, 'C6': 1.7, 'C7': 1.7, 'C8': 1.7, 'C9': 1.7, 'C10': 1.7, 'C11': 1.7, 'C12': 1.7, 'C13': 1.7, 'C14': 1.7, 'C15': 1.7, 'C16': 1.75, 'C17': 1.75, 'C18': 1.75, 'C19': 1.75, 'C20': 1.75},
	"HOH" : {'O': 1.1},
	"HET" : {"HET":1.7},
}

radiusSingleAtom = {"C":1.7,"O":1.37,"N":1.45,"P":1.49,"S":1.7,"H":1.0}